SDLTest_SurfaceImage_t Struct Reference

`#include <SDL_test_images.h>`

## Data Fields

int | width
int | height
unsigned int | bytes_per_pixel
const char * | pixel_data

## Detailed Description

Type for test images.

Definition at line 50 of file SDL_test_images.h.

## Field Documentation

unsigned int SDLTest_SurfaceImage_t::bytes_per_pixel

Definition at line 53 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

int SDLTest_SurfaceImage_t::height

Definition at line 52 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

const char* SDLTest_SurfaceImage_t::pixel_data

Definition at line 54 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

int SDLTest_SurfaceImage_t::width

Definition at line 51 of file SDL_test_images.h.

Referenced by SDLTest_ImageBlit(), SDLTest_ImageBlitAlpha(), SDLTest_ImageBlitBlend(), SDLTest_ImageBlitBlendAdd(), SDLTest_ImageBlitBlendAll(), SDLTest_ImageBlitBlendMod(), SDLTest_ImageBlitBlendNone(), SDLTest_ImageBlitColor(), SDLTest_ImageFace(), SDLTest_ImagePrimitives(), and SDLTest_ImagePrimitivesBlend().

The documentation for this struct was generated from the following file:

- include/SDL_test_images.h